Subject: Re: bug#25395: 25.1; Emacs/W3 crashes on every url with elisp error (void-variable w3--args)

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Oct 2019 09:50:46 +0200

Glenn Morris <[email-masked]> writes:

>> Still, doesn't seem actively maintained, based on
>> http://git.savannah.gnu.org/cgit/emacs/elpa.git/?h=externals/w3
>
> To expand on this:
>
> According to the above url:
> The package was last developed 8.5 years ago.
> It was added to elpa.gnu.org 3 years ago, with 4 commits.
> The error you are seeing comes from one of those commits ("try to fix
> compiler warnings"). "M-x w3" has the same error. So I can only
> assume this package has not been tested or used by anyone since it was
> added to elpa.gnu.org.
> So I have to wonder what the value of having it there is.
>
> I suggest you use M-x eww instead, and that if no-one wants to maintain
> w3 it be removed from elpa.gnu.org.

(This was two years ago.)

I agree -- when it doesn't even start up with `M-x w3' it seems pretty
useless to have in GNU ELPA.

How does one remove something from ELPA?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no